﻿<?xml version="1.0" encoding="utf-8"?>
<data>
  <DataType Name="Data Types17" BaseType="" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="">
    <DataType Name="UDT_ROWSTATION_TO_WRAPPER" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="80" OffsetType="NJ">
      <DataType Name="stConnectionStatus" BaseType="nsCommunication\UDT_CONNECTION_STATUS" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFault" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="1 = Fault status" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xRowEvacuationInProgress" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="1 = row evacuation in progress toward machine" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xRecoverySpeed" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="1 = Recovry speed request" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrSpeedSetPoint" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Wrapper speed set point [ppm]" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrProductPerRow" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Products per row" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="axSpare" BaseType="ARRAY[0..15] OF BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="alrSpare" BaseType="ARRAY[0..7] OF LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="adiSpare" BaseType="ARRAY[0..7] OF DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_WRAPPER_TO_ROWSTATION" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="79" OffsetType="NJ">
      <DataType Name="stConnectionStatus" BaseType="nsCommunication\UDT_CONNECTION_STATUS" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Wrapper ready" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xRunning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Wrapper running" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEstop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Estop" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEmptying" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Wrapper emptying" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xFault" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Wrapper fault" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrFirstBeltSpeed" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrMachineRecoverySpeed" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Wrapper recovery speed setpoint [ppm]" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrMachineSpeed" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="axSpare" BaseType="ARRAY[0..15] OF BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="alrSpare" BaseType="ARRAY[0..7] OF LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="adiSpare" BaseType="ARRAY[0..7] OF DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_CONNECTION_STATUS" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="35" OffsetType="NJ">
      <DataType Name="xRunMode" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xConnectionFaulted" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
  </DataType>
</data>